/* 
 * Iguana API version 
 * ==================
 *
 * The API version is maintained independently from the Iguana version
 * so we can detect mismatches between the interpreter and dynamically
 * loaded modules. These are diagnosed by an error message but
 * the module is still loaded because the mismatch can only be tested
 * after loading the module. 
 *
 * The symbol Ig_API_STRING defines the same value as a string
 * literal. *PLEASE* MAKE SURE THE DEFINITIONS MATCH.
 *
 * Please add a line or two to the top of this log for each API
 * version change:
 *
 *    27 Aug 2003  1013  Some internal structs were changed and some API         *                       functions were renamed
 *    10 Jun 2003  1012  Added iszero, ispos and isneg to IgNumberMethods.
 *                       IgErr_BadInternalCall() and IgErr_NullInternalArg()
 *                       were removed
 *    18 May 2003  1011  Minor API changes and renames
 *    29 Nov 2002  1010  Objects API added, current naming conventions 
 *    04 Nov 2002  1005  Initial version (incompatible with older API)
 */

#define Ig_API_VERSION		1013
#define Ig_API_STRING		"1013"


/*
 * Declarations for symbol visibility
 * ==================================
 *
 * Ig_API(type)
 *    declares a public variable and it's type; can be applied also to functions
 */

#ifdef Ig_BUILD_CORE
# define Ig_API(RTYPE)		RTYPE
#else 
# define Ig_API(RTYPE)  	extern RTYPE
#endif

