/* Boolean object interface */

/*
 * The type of an expression with two possible values, "True" and "False".
 * Also, a variable of Boolean type or a function with Boolean arguments or
 * result.
 */

#ifndef Ig_BOOLOBJECT_H
#define Ig_BOOLOBJECT_H

#if defined(__cplusplus)
extern "C"
{
#endif

/* This subtype of IgObject represents an Iguana bool object. */
typedef struct _IgBoolObject IgBoolObject;

struct _IgBoolObject
{
	IgObject_HEAD;
	int ob_bval;
};

/* This instance of IgTypeObject represents the Iguana bool type. */
Ig_API(IgTypeObject) IgBool_Type;

/* Return true if its argument is an Iguana boolean object. */
#define IgBool_TYPE(op) ((op)->ob_type == &IgBool_Type)

/* Return Ig_True or Ig_False with incremented reference count. */
Ig_API(IgObject *) IgBool_FromInt(int);	
Ig_API(IgObject *) IgBool_FromObject(IgObject *);

/* Boolean values as pointers to IgObject. */
#define Ig_False        ((IgObject *) &_Ig_FalseStruct)
#define Ig_True         ((IgObject *) &_Ig_TrueStruct)

/* XXX: don't use these directly. */
Ig_API(IgBoolObject) _Ig_FalseStruct;
Ig_API(IgBoolObject) _Ig_TrueStruct;

#if defined(__cplusplus)
}				/* extern "C" { */
#endif

#endif				/* Ig_BOOLOBJECT_H */
