/* Execute the code interface and other utilities */
#ifndef Ig_EVAL_H
#define Ig_EVAL_H

#if defined(__cplusplus)
extern "C"
{
#endif

/* 
 * IgEval_EvalCode() is the entry point for the Iguana interpreter. This 
 * function should be invoked to evaluate the nodes list (the Parser output).
 * It return 0 on success, otherwise return -1 and set the appropriate 
 * exception.
 */
Ig_API(int) IgEval_EvalCode(node *); 

/* 
 * This function is useful only when you want to call an Iguana object from C.
 * It not used internally because is slow (actually only the built-in method 
 * "foreach" call it)
 */
Ig_API(IgObject *) IgEval_CallMethod(IgObject *, IgObject *);

#if defined(__cplusplus)
}				/* extern "C" { */
#endif

#endif				/* Ig_EVAL_H */
