/* Module object interface */
#ifndef Ig_MODULEOBJECT_H
#define Ig_MODULEOBJECT_H

#include "ltdl.h" 	/* for lt_dlhandle */

#if defined(__cplusplus)
extern "C"
{
#endif

/* This subtype of IgObject represents an Iguana module object. */
typedef struct _IgModuleObject IgModuleObject;

struct _IgModuleObject
{
	IgObject_HEAD;
	IgObject *md_name;
	IgObject *md_dict;
	IgObject *md_doc;

	/* For dynamic modules only. */
	lt_dlhandle md_handler;
	IgObject *md_filename;
};

/* This instance of IgTypeObject represents the Iguana module type. */
Ig_API(IgTypeObject) IgModule_Type;

/* Return true if its argument is an Iguana module object. */
#define IgModule_TYPE(obj) 	((obj)->ob_type == &IgModule_Type)

/* Cast the object pointer passed as argument to a IgModuleObject pointer. */
#define IgModule_CAST(obj)	 ((IgModuleObject *)(obj))

/*
 * Macros for direct access to the method values. Type checks are *not*
 * done, so use with care.
 */
#define IgModule_NAME(obj)       (IgModule_CAST(obj)->md_name)
#define IgModule_DICT(obj)       (IgModule_CAST(obj)->md_dict)
#define IgModule_DOC(obj)        (IgModule_CAST(obj)->md_doc)
#define IgModule_FILENAME(obj)   (IgModule_CAST(obj)->md_filename)

/* Return a new module object from a name. */
Ig_API(IgObject *) IgModule_New(const char *);

#if defined(__cplusplus)
}				/* extern "C" { */
#endif

#endif				/* Ig_MODULEOBJECT_H */
