/* Node list interface */
#ifndef Ig_NODE_H
#define Ig_NODE_H

#if defined(__cplusplus)
extern "C"
{
#endif

typedef struct _node node;

struct _node		
{
	int n_type;
	char *n_arg;
	node *n_next;
};

/* Node access functions */
#define TYPE(n)     ((n)->n_type)
#define ARG(n)	    ((n)->n_arg)
#define NEXT(n)     ((n)->n_next)

Ig_API(node *) IgNode_New(void); 
Ig_API(void) IgNode_Del(node *);	

Ig_API(node *) IgNode_Add(node *, int, const char *);	
Ig_API(void) IgNode_PrintToFile(node *, FILE *);
 
#if defined(__cplusplus)
}				/* extern "C" { */
#endif

#endif				/* Ig_NODE_H */
