/* Full-version identification scheme */

/* 
 * This scheme was added in Iguana 0.1.0alpha3; before that time, 
 * the version number was editable only in configure.ac. 
 *
 * There is also an independent API version in api.h.
 */

/* 
 * Set version values here so we only need to edit in one place (i.e., here) 
 *
 * *BEWARE*: do not adjust the whitespace! The configure script expects the 
 *           versioning numbers on the 27th column.
 */
#define Ig_MAJOR_VERSION  0
#define Ig_MINOR_VERSION  1
#define Ig_TEENY_VERSION  3 

/* 
 * Values for release level:
 *
 *    0  Alpha release 
 *    1  Beta release  
 *    2  Final release (serial is ignored)
 *
 * Serial is a progressive number used to identify an alpha or beta release.
 * Don't use it in a final release (e.g. 0.1.0).
 */
#define Ig_RELEASE_LEVEL  1 
#define Ig_RELEASE_SERIAL 1	/* Higher for patch releases */

